---
title: burusftp user key delete
linkTitle: user key delete
---

## NAME
`burusftp user key delete` - Delete user's public key.

## OPTIONS
* `-c, --comment <comment>`
  * Delete keys with specific comment. Use `-c ""` to delete keys with no comment.
* `-i, --file <path>`
  * Delete keys that match key(s) in specified file 
* `-f, --force`
  * Allow deletion of keys across multiple users (when `-u` is not specified) or when multiple keys are matched. 
* `-F, --fingerprint <fingerprint>`
  * Delete keys using public key SHA-256 base-64 fingerprint (e.g. `UVD1EIK...`). Full fingerprint or only starting portion can be used. 
* `-t, --type (rsa | dsa | ed25519 | ecdsa)`
  * Delete keys of specified type.
* `-u, --username <username>`
  * Username. When username is not specified the command deletes keys across all users, using the filters given. 
* `--help`
  * Display this help.

## EXAMPLES

```fish
# Delete all keys for all users
burusftp user key delete -f

# Delete all DSA keys for all users
burusftp user key delete -ft dsa

# Delete key with specific fingerprint for user
burusftp user key delete -u elaine -F "UVD1EIKY1p"  
```

## SEE ALSO
[user key add]({{< ref "user-key-add" >}}), [user update]({{< ref "user-update" >}})