---
title: burusftpwa svc install
linkTitle: svc install
--- 
## NAME
`burusftpwa svc install` - Installs Web Administration as Windows service

## OPTIONS
* `--startup <automatic | manual>` 
  * Service startup mode. Default: automatic
* `--su <user>`
  * User account under which the service will run. Default: Local system account
* `--sp <password>`
  * Password for the user account. Will prompt for password when not set.

## EXAMPLES

```fish
# Install the web administration using Local System account with automatic startup
burusftpwa svc install

# Install the web administration which will run under 'guybrush' account and will be started manually
burusftpwa svc install --su guybrush -startup manual
```

## SEE ALSO
[run]({{< ref "run" >}}), [svc start]({{< ref "svc-start" >}}), [svc stop]({{< ref "svc-stop" >}}), [svc uninstall]({{< ref "svc-uninstall" >}})